Loading...
Searching...
No Matches
FilePoller::FileDelayedPollerDataProvider Class Reference

Event-based data provider for file polling events. More...

Inheritance diagram for FilePoller::FileDelayedPollerDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| observersReady ()
| Called when all observers have been added to the object.
Public Member Functions inherited from FilePoller::FilePollerDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.

## Public Attributes

const | ProviderInfo
| Provider info.
Public Attributes inherited from FilePoller::FilePollerDataProviderBase
const | ConstructorOptions
| Constructor options.

## Additional Inherited Members

Protected Member Functions inherited from FilePoller::FilePollerDataProviderBase
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types.
Protected Attributes inherited from FilePoller::FilePollerDataProviderBase
EmbeddedFilePoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for file polling events.

Note that this class will continue to output all matching files in the given folder until they are removed.

In the assumed scenario, matches files are removed by a single observer in the first notification event

The event ID raised for file events is `"file-event"` (see EVENT_FILE)

## Member Function Documentation

## observersReady()

FilePoller::FileDelayedPollerDataProvider::observersReady | ( |  | ) |

Called when all observers have been added to the object.

This method is meant to trigger event generation